"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6ca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6de0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6d40>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6e80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6f20>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be6fc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7060>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7100>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be71a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7240>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be72e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7380>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7420>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be74c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7560>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7600>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be76a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7740>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be77e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7880>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7920>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be79c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7a60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7b00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7ba0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7c40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7ce0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7d80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7e20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7ec0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03be7f60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40040>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c400e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40180>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40220>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c402c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40360>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40400>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c404a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40540>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c405e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40680>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40720>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c407c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40860>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40900>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c409a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40a40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40ae0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40b80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40c20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40cc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40d60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40e00>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40ea0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40f40>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c40fe0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41080>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41120>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c411c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41260>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41300>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c413a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41440>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c414e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41580>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41620>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c416c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41760>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41800>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c418a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c419e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41a80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41b20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41bc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41c60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41d00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41da0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41ee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41e40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c41f80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c42020>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c420c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcd03c42160>)]
name: str = 'fr_HOCCN'
